Skip to main content
DELETE
/
features
/
{code}
/
privileges
/
{privilege_code}
Delete a privilege. Deleting a privilege removes it from all plans and subscriptions.
curl --request DELETE \
  --url https://api.getlago.com/api/v1/features/{code}/privileges/{privilege_code} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.getlago.com/api/v1/features/{code}/privileges/{privilege_code}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.getlago.com/api/v1/features/{code}/privileges/{privilege_code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "feature": {
    "code": "seats",
    "name": "Number of seats",
    "description": "Number of users of the account",
    "privileges": [
      {
        "code": "max",
        "name": "Maximum",
        "value_type": "integer",
        "config": {}
      },
      {
        "code": "max_admins",
        "name": "Max Admins",
        "value_type": "integer",
        "config": {}
      },
      {
        "code": "root",
        "name": "Allow root user",
        "value_type": "boolean",
        "config": {}
      },
      {
        "code": "provider",
        "name": "SSO Provider",
        "value_type": "select",
        "config": {
          "select_options": [
            "google",
            "okta"
          ]
        }
      }
    ],
    "created_at": "2025-07-17T12:34:35Z"
  }
}
{
"status": 401,
"error": "Unauthorized"
}
{
"status": 404,
"error": "Not Found",
"code": "object_not_found"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

code
string
required

Code of the existing feature.

Example:

"seats"

privilege_code
string
required

Code of the existing privilege.

Example:

"max_admins"

Response

Feature with deleted privilege.

feature
object
required